---
- name: Send and confirm login email
  block:
  - name: Send login email
    command: |
      {{ apnscp_root }}/bin/cmd misc_notify_installed {{ __apnscp_admin_password | default("") }}
    when: apnscp_admin_email | default(None, true) != None
    no_log: True
  - name: Validate mail was sent
    command: >
      grep -F {{ apnscp_admin_email | quote }} /var/log/maillog
    register: r
    until: r is succeeded or r.stdout.find(apnscp_admin_email) != -1
    # Postfix times out after 60 seconds. Firewall restrictions may block port 25 resulting in deferral
    retries: 13
    delay: 5
  - name: Inform user email has been sent
    debug:
      msg: |
        An email has been sent to the "apnscp_admin_email" contact: {{ apnscp_admin_email }}

        According to the mail server logs, here's what I received:

        ~~~~~

        {{ r.stdout }}
  when: apnscp_admin_email | default(None, true) != None
  rescue:
    - debug:
        msg: |
          An attempt to inform {{ apnscp_admin_email }} was rejected by your mail server. Ensure
          that your network provider does not have firewall restrictions and that your IP
          address is not on a DNSBL.

          Here's the last 10 lines from /var/log/maillog that may help you track down the problem:

          ~~~~~

          {{ lookup('pipe', 'tail -n 10 /var/log/maillog')}}
- name: Login information
  debug:
    msg: |
      Your copy of apnscp has been personalized!

      {% if not panel_headless %}
      You may login to apnscp with the following information:

      URL: {{ panel_uri }}
      Username: {{ apnscp_admin_user }}
      Password: <hidden>
      {% endif %}

      Here are a few helpful commands to get you acquainted. Before running any of
      these peform a one-time shell update:

      exec $SHELL -i

      --------------------------------------------------------------
      Reset password:
        cpcmd auth:change-password "<new password>"

      Change email:
        cpcmd common:set-email "<new email>"

      Update panel:
        upcp

      Scrub platform for deviations:
        upcp -sb

      List all administration Scopes:
        cpcmd scope:list

      List all commands for admin:
        cpcmd misc:list-commands

      Masquerade as a domain and list its commands:
        cpcmd -d domain.com misc:list-commands

      Get help on adding a domain:
        AddDomain -h
      {% if not panel_headless %}
        >>> You can add sites in the panel under "Nexus" <<<
      {% endif %}
      --------------------------------------------------------------

      Come chat with the developers on Discord:

      https://discord.gg/wDBTz6V

      https://docs.apiscp.com/
      https://hq.apiscp.com/

      Happy hacking!
